Converts a packed internet address to a human readable representation

- « http_response_code

- inet_pton »

- PHP Manual
- Network Functions
- Converts a packed internet address to a human readable representation

# inet_ntop

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

inet_ntop — Converts a packed internet address to a human readable representation

### Description

inet_ntop(string `$ip`): string|false

This function converts a 32bit IPv4, or 128bit IPv6 address (if PHP was built with IPv6 support enabled) into an address family appropriate string representation.

### Parameters

`ip`

  A 32bit IPv4, or 128bit IPv6 address.

### Return Values

Returns a string representation of the address or `false` on failure.

### Examples

Example #1 inet_ntop() Example

    <?php
    $packed = chr(127) . chr(0) . chr(0) . chr(1);
    $expanded = inet_ntop($packed);

    /* Outputs: 127.0.0.1 */
    echo $expanded;

    $packed = str_repeat(chr(0), 15) . chr(1);
    $expanded = inet_ntop($packed);

    /* Outputs: ::1 */
    echo $expanded;
    ?>

### See Also

- long2ip() - Converts a long integer address into a string in (IPv4) Internet standard dotted format
- ip2long() - Converts a string containing an (IPv4) Internet Protocol dotted address into a long integer
- inet_pton() - Converts a human readable IP address to its packed in_addr representation